## org.eclipse.emf.ecore
Interface EAnnotation

All Superinterfaces:
  EModelElement, EObject, Notifier

All Known Implementing Classes:
  EAnnotationImpl

    public interface EAnnotation

extends EModelElement

A representation of the model object 'EAnnotation'.

The following features are supported:

- `Source`
- `Details`
- `EModel Element`
- `Contents`
- `References`

See Also:
  `EcorePackage.getEAnnotation()`

Method Summary
`EList<EObject>` `getContents()` Returns the value of the 'Contents' containment reference list.
`EMap<java.lang.String,java.lang.String>` `getDetails()` Returns the value of the 'Details' map.
`EModelElement` `getEModelElement()` Returns the value of the 'EModel Element' container reference.
`EList<EObject>` `getReferences()` Returns the value of the 'References' reference list.
`java.lang.String` `getSource()` Returns the value of the 'Source' attribute
`void` `setEModelElement(EModelElement value)` Sets the value of the '`EModel Element`' container reference
`void` `setSource(java.lang.String value)` Sets the value of the '`Source`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSource

    java.lang.String getSource()

  Returns the value of the 'Source' attribute.

  This will typically be a full URI representing the type of the annotation.

  Returns:
    the value of the 'Source' attribute.
  See Also:
    `EModelElement.getEAnnotation(String)`, `setSource(String)`, `EcorePackage.getEAnnotation_Source()`

### setSource

    void setSource(java.lang.String value)

  Sets the value of the '`Source`' attribute.

  Parameters:
    `value` - the new value of the 'Source' attribute.
  See Also:
    `getSource()`

### getDetails

    EMap<java.lang.String,java.lang.String> getDetails()

  Returns the value of the 'Details' map. The key is of type `String`, and the value is of type `String`,

  This represents tagged values.

  Returns:
    the value of the 'Details' map.
  See Also:
    `EcorePackage.getEAnnotation_Details()`

### getEModelElement

    EModelElement getEModelElement()

  Returns the value of the 'EModel Element' container reference. It is bidirectional and its opposite is '`EAnnotations`'.

  Returns:
    the value of the 'EModel Element' container reference.
  See Also:
    `setEModelElement(EModelElement)`, `EcorePackage.getEAnnotation_EModelElement()`, `EModelElement.getEAnnotations()`

### setEModelElement

    void setEModelElement(EModelElement value)

  Sets the value of the '`EModel Element`' container reference.

  Parameters:
    `value` - the new value of the 'EModel Element' container reference.
  See Also:
    `getEModelElement()`

### getContents

    EList<EObject> getContents()

  Returns the value of the 'Contents' containment reference list. The list contents are of type `EObject`.

  This represents arbitrary contained objects.

  Returns:
    the value of the 'Contents' containment reference list.
  See Also:
    `EcorePackage.getEAnnotation_Contents()`

### getReferences

    EList<EObject> getReferences()

  Returns the value of the 'References' reference list. The list contents are of type `EObject`.

  This represents arbitrary referenced objects.

  Returns:
    the value of the 'References' reference list.
  See Also:
    `EcorePackage.getEAnnotation_References()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.